.\" $NetBSD: ippp.4,v 1.7 2005/06/23 12:47:38 peter Exp $
.\"
.\" Copyright (c) 1997, 2000 Hellmuth Michaelis. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	$Id: ippp.4,v 1.8 2009/03/15 10:31:04 joerg Exp $
.\"
.\" $FreeBSD$
.\"
.\"	last edit-date: [Thu Aug 31 10:40:17 2000]
.\"
.Dd August 31, 2000
.Dt IPPP 4
.Os
.Sh NAME
.Nm ippp
.Nd ISDN synchronous PPP network driver
.Sh SYNOPSIS
.Cd "pseudo-device ippp" Ar count
.Sh DESCRIPTION
The
.Nm
driver interfaces the IP subsystem of the operating system with the
ISDN layer so that a transport of IP packets over an ISDN link
is possible.
.Pp
For configuration of the
.Nm
driver, either the
.Xr ipppctl 8
utility is used or it is configured via
.Xr isdnd 8
and its associated
.Xr isdnd.rc 5
file.
.Pp
In case an IP packet for a remote side arrives in the driver and no
connection is established yet, the driver communicates with the
.Xr isdnd 8
daemon to establish a connection.
.Pp
The driver has support for interfacing to the
.Xr bpf 4
subsystem for using
.Xr tcpdump 8
with the
.Nm
interfaces.
.Pp
The
.Xr ipppctl 8
utility is used to configure all aspects of PPP required to connect to a
remote site.
.Ss LINK0 and LINK1
The
.Em link0
and
.Em link1
flags given as parameters to
.Xr ifconfig 8
have the following meaning for the
.Nm
devices:
.Bl -tag -width link0
.It Li link0
Wait passively for connection.
The administrative
.Em Open
event to the Link Control Protocol (LCP) layer will be delayed until
after the lower layers signal an
.Em Up
event (rise of
.Dq carrier ) .
This can be used by lower layers to support a dial-in connection where
the physical layer isn't available immediately at startup, but only
after some external event arrives.
Receipt of a
.Em Down
event from the lower layer will not take the interface completely down
in this case.
.It Li link1
Dial-on-demand mode.
The administrative
.Em Open
event to the LCP layer will be delayed until either an outbound
network packet arrives, or until the lower layer signals an
.Em Up
event, indicating an inbound connection.
As with passive mode, receipt of a
.Em Down
event (loss of carrier) will not automatically take the interface
down, thus it remains available for further connections.
.El
.Pp
The
.Em link0
flag is set to
.Em off
by default, the
.Em link1
flag to
.Em on .
.Sh SEE ALSO
.Xr bpf 4 ,
.Xr isdnd.rc 5 ,
.Xr ipppctl 8 ,
.Xr isdnd 8 ,
.Xr tcpdump 8
.Sh AUTHORS
.An -nosplit
The
.Nm
device driver was written by
.An Joerg Wunsch Aq joerg@freebsd.org
and then added to ISDN4BSD by
.An Gary Jennejohn Aq gary@freebsd.org .
.Pp
This man page was written by
.An Hellmuth Michaelis Aq hm@kts.org .
